html2text (1.3.2a-25) unstable; urgency=medium

  * Bump standards version to 4.4.1, no changes needed.
  * Bump dependency on debhelper-compat to =11.
  * Drop myself from uploaders, set maintainer to Debian QA Team.

 -- Holger Levsen <holger@debian.org>  Sat, 22 Feb 2020 18:39:28 +0100

html2text (1.3.2a-24) unstable; urgency=medium

  * Add patch from Dmitry Borisyuk <q1werty@i.com.ua> (thanks!) to fix crashes
    with -width or -rcfile. Closes: #716064
  * d/control:
    - bump Standards-Version to 4.3.0, no changes needed.
    - depend on debhelper-compat (=11) and drop d/compat.
  * d/rules:
    - follow https://wiki.debian.org/Hardening more closely.
  * Add debian/source/lintian-overrides to suppress warning about missing gpg
    signed upstream releases.

 -- Holger Levsen <holger@debian.org>  Wed, 27 Feb 2019 20:06:25 +0100

html2text (1.3.2a-23) unstable; urgency=medium

  * Fix utf8 mode quadratic runtime, thanks to Carson Ip
    <carsonip715@gmail.com> for the patch. (Closes: #899105)
  * d/rules: enable all hardening options.
  * Bump standards version to 4.1.5, no changes needed.
  * Fix trailing whitespaces in d/changelog, d/control and d/rules, thanks
    lintian.

 -- Holger Levsen <holger@debian.org>  Mon, 09 Jul 2018 16:26:45 +0000

html2text (1.3.2a-22) unstable; urgency=medium

  * d/control:
    - switch packaging to salsa.debian.org. Thanks to the alioth admins for
      providing such a nice service so long!
    - bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 30 May 2018 23:26:20 +0000

html2text (1.3.2a-21) unstable; urgency=medium

  * Bump compat to debhelper 11, update depends accordingly.
  * Drop debian/patches/220-nobs-when-stdout-is-a-tty.patch which has not been
    used since 1.3.2a-10.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Feb 2018 16:58:36 +0000

html2text (1.3.2a-20) unstable; urgency=medium

  * debian/rules:
    - include /usr/share/dpkg/architecture.mk instead of directly defining
      DEB_HOST_GNU_TYPE, thanks lintian.
  * debian/control:
    - Add "Rules-Requires-Root: no" to support building as non-root.
      (I've confirmed that the build output is bit by bit identical with and
      without this.)
    - use https for Vcs-Git: header.
    - bump Standards-Version to 4.1.3.

 -- Holger Levsen <holger@debian.org>  Sat, 06 Jan 2018 01:10:33 +0000

html2text (1.3.2a-19) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.1.1, no changes needed.
    - Use canonical URLs for Vcs headers.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~ and
    remove --parallel from dh call in debian/rules as this is the default with
    compat 10.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Sep 2017 23:17:37 +0200

html2text (1.3.2a-18) unstable; urgency=medium

  * Complete the utf8 table. (Closes: #760588) - thanks to Marcos Marado for
    the patch!
  * Validate --width parameter input, don't accept values smaller than zero.
    (Closes: #628178) - thanks to Marcos Marado for this patch as well!

 -- Holger Levsen <holger@debian.org>  Sun, 07 Sep 2014 18:07:59 +0000

html2text (1.3.2a-17) unstable; urgency=medium

  * debian/control:
    - adopt the package. (Closes: #545710)
    - remove DM-Upload-Allowed: header.
    - bump Standards-Version to 3.9.5, no changes needed.
    - raise debhelper build-dependency to >= 9.20120909~ and set debian/compat
      to 9 to enjoy hardening build flags.
  * debian/rules:
    - remove debian/html2textrc.5 on clean.

 -- Holger Levsen <holger@debian.org>  Wed, 05 Feb 2014 14:08:38 +0000

html2text (1.3.2a-16) unstable; urgency=low

  * Orphaned the package.
  * debian/html2text.1:
    - Replaced 'input-url' with 'input-file'. (Closes: #583934)
  * debian/patches:
    - New 100-fix-makefile.patch to support externally-prodided/Debian compile
      flags.
    - New 110-triplet-cc.patch to support cross-building. Patch by
      Matthias Klose. (Closes: #702413)
    - 500-utf8-support.patch: fixed converting &auml;. (Closes: #593453)
  * debian/rules:
    - Support 'nocheck' in DEB_BUILD_OPTIONS. Patch by Daniel Schepler and
      Matthias Klose.
    - Rewrote using dh v7.
    - Use dpkg-buildflags if available.
  * debian/{rules,control,source/format}:
    - Switch to '3.0 (quilt)' format to ease bootstrapping of debhelper.
      Patch by David Schepler. (Closes: #709532)
  * debian/control:
    - Bumped Standards-Version to 3.9.4, no changes needed.
  * debian/NEWS.Debian:
    - Dropped '.Debian' suffix.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 25 May 2013 19:26:57 +0300

html2text (1.3.2a-15) unstable; urgency=low

  * debian/copyright:
    - Applied formatting improvements patch from Jari Aalto. (Closes: #576033)
  * debian/control:
    - Bumped 'Standards-Version' to 3.8.4, no changes needed.
    - Updated my mail address.
    - Added '{misc:Depends}' to dependencies.
  * debian/patches:
    - 510-disable-backspaces.patch: refreshed.
    - 550-skip-numbers-in-html-tag-attributes.patch: new patch by Eric Krohn.
      (Closes: #582199)
  * debian/README.source:
    - Added with quilt usage as content.
  * debian/tests:
    - Added a test for new patch.
    - Echo test case names while running.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 23 May 2010 18:27:27 +0300

html2text (1.3.2a-14) unstable; urgency=low

  * debian/tests/runtests:
    - Fixed bashism. Patch by Michael Bienia <geser@ubuntu.com>.
      (Closes: #526623)
  * debian/control:
    - Bumped 'Standards-Version' to 3.8.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 02 May 2009 13:33:32 +0300

html2text (1.3.2a-13) unstable; urgency=low

  * debian/rules:
    - Don't run debian/tests/runtest explicitly, but through an interpreter.
      Fixes FTBFS. (Closes: #516792)
  * debian/patches:
    - 630-recode-output-to-locale-charset.patch: do output recoding only if
      output is a terminal. Updated debian/README.Debian and debian/html2text.1
      accordingly.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 23 Feb 2009 21:08:21 +0200

html2text (1.3.2a-12) unstable; urgency=low

  * debian/control:
    - Added 'Vcs-Git' and 'Vcs-Browser' fields.
    - Allow DM uploads.
  * debian/README.Debian:
    - Fix bunch of spelling mistakes. Thanks to David Starner
      <prosfilaes@gmail.com> for the patch. (Closes: #516006)
  * debian/tests, debian/rules:
    - Added a simple test system.
  * debian/patches:
    - 611-recognize-input-encoding.patch:
      - Don't recode input stream if encoding is set to ASCII. Thanks to
        Kevin Ryde <user42@zip.com.au>. (Closes: #516029)
    - 500-utf8-support.patch:
      - Added '-utf8' option to the synopsis of built-in help output.
  * debian/html2text.1:
    - Corrected: '-ascii' option is used for output, not for input.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 22 Feb 2009 10:57:20 +0200

html2text (1.3.2a-11) unstable; urgency=low

  * debian/patches:
    - 611-recognize-input-encoding.patch:
      - When received invalid multi-byte sequence on input, output non-converted
        text to stderr, not to stdout.
      - Fixed possible usage of freed memory in case of invalid input
        sequence.
    - 500-utf8-support.patch:
      - Provided valid Unicode character for "superscript zero", fixes
        "illegal sequence error" for pages containing unchecked checkboxes.
      - Removed generating Latin1 non-breaking spaces while formatting output
        text, fixes "illegal sequence error"s. Thanks to Dmitry E. Oboukhov
        for the report.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 15 Feb 2009 17:26:15 +0200

html2text (1.3.2a-10) experimental; urgency=low

  * debian/rules:
    - Really install NEWS.Debian as documentation.
  * debian/patches:
    - 220-nobs-when-stdout-is-a-tty.patch: deleted, useless now, since
      backspaces are not produced at all.
    - 400-remove-builtin-http-support.patch: refreshed.
    - 500-utf8-support.patch: refreshed.
    - 510-utf8-implies-nobs.patch: deleted, useless now.
    - New 510-disable-backspaces.patch: disable backspaces because parser
      cannot produce them rightly in multi-byte sequences now.
    - 611-recognize-input-encoding.patch:
      - Corrected to don't produce error if '-nometa' option was not supplied
        and input html doesn't contain valid 'meta http-equiv' tag.
      - Corrected to don't display debug info twicely (if -debug-parser or
        -debug-scanner was supplied).
      - Corrected: now parser always processes UTF-8 text, needed for proper
        output recoding.
      - Moved recoding code to separate function.
      - Close input stream directly after read, not after the processing.
      - Correctly mark the end of converted sequence.
    - New 630-recode-output-to-locale-charset.patch: convert output to current
      locale charset. (Closes: #498797)
    - 300-replace-zeroes-with-null.patch: renamed to
      800-replace-zeroes-with-null.patch.
    - New 810-fix-deprecated-conversion-warnings.patch: fix 'deprecated
      conversion from string constant to ‘char*’' warnings during build by
      supplying 'const' qualifier in needed places.
  * debian/README.Debian:
    - Renamed 'META HTTP-EQUIV' section to 'Input recoding'.
    - Added correct input encoding cases to 'Input recoding' section.
    - Added 'Backspaces' section.
    - Added 'Output recoding' section.
  * debian/html2text.1:
    - Mentioned that Debian version of html2text doesn't produce backspaces,
      so '-nobs' does nothing.
    - Added paragraph about input/output recoding.
  * debian/NEWS.Debian:
    - Corrected news for 1.3.2a-9.
  * debian/control:
    - Renewed long description.
  [unera]
  * debian/changelog:
    - fixed incorrect changelog record 1.3.2a-9 (Thanks for Stanislav
      Maslovski <stanislav.maslovski@gmail.com> for the
      600-multiple-meta-tags.patch :)).

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 20 Sep 2008 14:10:09 +0300

html2text (1.3.2a-9) experimental; urgency=low

  The "grepping binary device for patch parts" release.
  * debian/patches:
    - Refreshed all patches.
    - Add comments to all patches.
    - New patch 400-remove-builtin-http-support.patch: remove limited built-in
      http support. "Wontfix" bugs related to http support are closed thus.
      (Closes: #307425, #285378)
    - New patch 600-multiple-meta-tags.patch: recognize all 'meta' tags, not
      one. Thanks to Stanislav Maslovski <stanislav.maslovski@gmail.com> for
      the patch, thanks to Dmitry E. Oboukhov for the idea of patch.
    - New patch 611-recognize-input-encoding.patch: recode input according to
      'meta' tag. Thanks to Dmitry E. Oboukhov for the idea of patch.
      (Closes: #496226)
  * debian/html2text.1:
    - Mentioned new '-nometa' option.
    - Updated descriptions of '-utf8' and '-ascii' options.
    - Mentioned that Debian version of html2text has no http support.
    - Updated author's mail and download page.
  * debian/README.Debian:
    - Updated HTTP section, wrote META HTTP-EQUIV section.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 07 Sep 2008 11:12:35 +0300

html2text (1.3.2a-8) experimental; urgency=low

  * debian/patches:
    - 220-nobs-when-stdout-not-a-tty.patch: when standard output is not a tty,
      automatically enable '-nobs' option. Thanks to Dmirty E. Oboukhov for
      idea of patch.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 25 Aug 2008 22:35:49 +0300

html2text (1.3.2a-7) experimental; urgency=low

  * debian/patches:
    - 500-utf8-support.patch: corrected calculating length of utf8 string
      containing 3 or 4 bytes by character (important for Japanese, for
      example). So, since now we claim support for all UTF-8 characters.
      (Closes: #178684)
    - 510-utf8-implies-nobs.patch: inserting backspaces by default is
      completely breaks the output when utf8 mode is used. Thus '-utf8' option
      now implies enabling '-nobs' option. (Closes: #495448)
  * debian/html2text.1:
    - Updated last modified date.
    - Mentioned that '-utf8' now implies '-nobs'.
  * debian/rules:
    - Now using dpkg-buildpackage-provided CFLAGS variable. This adds '-Wall'
      to compilation flags.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 17 Aug 2008 20:24:01 +0300

html2text (1.3.2a-6) experimental; urgency=low

  * debian/patches:
    - New patch: 500-utf8-support.patch. It adds support of utf8 encoding in
      input and output.
    - 50-add-quotes-and-dash-substitutes.patch: became obsolete, superseded by
      500-utf8-support.patch, thus has been deleted.
  * debian/html2text.1:
    - Added to avoid hard-to-parse-and-maintain sed expressions in
      debian/rules. Added explaination for new '-utf8' option.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 04 Aug 2008 22:36:39 +0300

html2text (1.3.2a-5) unstable; urgency=low

  * debian/control:
    - Added 'curl | wget' to Suggests.
  * debian/README.Debian:
    - Added with notes of using html2text with wget and curl.
  * debian/rules:
    - Added README.Debian to list of doc-files.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Tue, 22 Jul 2008 20:57:04 +0300

html2text (1.3.2a-4) unstable; urgency=low

  * New maintainer. (Closes: #486760)
  * Package now use quilt.
  * debian/patches:
    - Added 50-add-quotes-and-dash-substitutes.patch: substitutes for &#8220
      (opening quotes), &#8221 (closing quotes) and &#8212 (long dash).
      (Closes: #255511)
    - Added 200-close-files-inside-main-loop.patch: closes every input file
      after processing, not at the end of program. Thanks to Rafal Krypa.
      (Closes: #381184)
    - Converted previous patch in diff.gz to
      300-replace-zeroes-with-null.patch
  * debian/copyright:
    - Reformatted.
    - Added GPLv2 clause.
    - Renewed download page.
  * debian/control:
    - Bumped 'Standards-Version' field to 3.8.0.
    - Bumped debhelper dependency to (>= 6).
    - Added 'Homepage' field.
    - Renewed short and long descriptions. (Closes: #342727)
  * debian/rules:
    - Removed 'DH_COMPAT' variable, moved to debian/compat.
    - Some cleanup.
    - Added support for 'noopt' in DEB_BUILD_OPTIONS.
    - Added support for 'parallel=n' in DEB_BUILD_OPTIONS.
    - Added installing file 'ASCII.substitutes' as part of documentation.
      (Closes: #367555, #388583)
  * debian/watch:
    - Added.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 13 Jul 2008 11:35:15 +0300

html2text (1.3.2a-3) unstable; urgency=low

  * recompile against g++-4 (closes: #327126)
  * fix man page typo's (closes: #309997)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 13 Sep 2005 20:48:34 +0100

html2text (1.3.2a-2) unstable; urgency=low

  * patch from Larry Doolittle to fix crash on amd64 (closes: #298198)

 -- Adrian Bridgett <bridgett@debian.org>  Fri,  6 May 2005 20:25:54 +0100

html2text (1.3.2a-1) unstable; urgency=low

  * new upstream:
  * error raised on HTTP error (closes #222352)
  * documented that http_proxy is not used (part of #222352)
  * newlines recognised inside tags (#136382)
  * tag #202565 as wontfix due to coding complexity

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 18 Jan 2004 11:44:16 +0000

html2text (1.3.1-2) unstable; urgency=low

  * many, many thanks to Nicolas Boullis who submitted a patch to fix
    compilation problems (basically updating it to comply with the new
    C++ standards AFAICT) (closes: #194847, #184537)

 -- Adrian Bridgett <bridgett@debian.org>  Wed,  2 Jul 2003 19:00:22 +0100

html2text (1.3.1-1) unstable; urgency=low

  * new upstream which fixes (closes: #166923)

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 17 Nov 2002 22:05:44 +0000

html2text (1.3.0.2-1) unstable; urgency=low

  * new upstream development release. (closes: #149724, #153849)

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 11 Aug 2002 19:56:58 +0100

html2text (1.3.0.1-1) unstable; urgency=low

  * new upstream (beta 1.3.1)
  * newlines no longer end an element (closes: #96819)
  * handles documents produced by MS word better (closes: #116907)
  * partially does #136382 but not completely as it does not
    parse HTML4.

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 14 Apr 2002 15:50:18 +0100

html2text (1.2.4-9) unstable; urgency=low

  * lower mime to 2 which is lower than lynx's -force_html options
    (a continuation of #109628)

 -- Adrian Bridgett <bridgett@debian.org>  Fri,  9 Nov 2001 19:42:33 +0000

html2text (1.2.4-8) unstable; urgency=low

  * spotted by lintian:
    - remove emacs lines from changelog
    - compress manpages with max compression
  * lower mime priority to 3 (less that proper browsers) (closes: #109628)

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 14 Oct 2001 15:03:38 +0100

html2text (1.2.4-7) unstable; urgency=low

  * that last patch broke using "-" as stdin.  So now don't do
    anything special, just use /dev/stdin instead (closes: #107518)

 -- Adrian Bridgett <bridgett@debian.org>  Fri,  3 Aug 2001 19:05:05 +0100

html2text (1.2.4-6) unstable; urgency=low

  * Applied patch from Randolph Chung <tausq@debian.org> to fix g++3
    compilation problems - many, many thanks (closes: #102655)
  * hmmm - had to change #include <istream> to #include <istream.h> for
    g++2.95.  If this works on HP too then I'll upload.

 -- Adrian Bridgett <bridgett@debian.org>  Mon,  2 Jul 2001 22:57:58 +0100

html2text (1.2.4-5) unstable; urgency=low

  * source upload since 1.2.4 tarball missing
  * G++ 3 still a big problem - above my skills though :(

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 24 Jun 2001 23:59:25 +0100

html2text (1.2.4-3) unstable; urgency=low

  * ...and remove xutils from Build-Depends

 -- Adrian Bridgett <bridgett@debian.org>  Wed, 20 Jun 2001 18:31:19 +0100

html2text (1.2.4-2) unstable; urgency=low

  * really add mime support (closes: #99796)
  * remove makedepend usage (closes: #100428)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 19 Jun 2001 20:47:21 +0100

html2text (1.2.4-1) unstable; urgency=low

  * new upstream

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 18 Jun 2001 21:14:55 +0100

html2text (1.2.3-3) unstable; urgency=low

  * development snapshot to fix crash on <javascript> problem (closes: #59759)
  * add MIME support (thanks to Defresne Sylvain) (closes: #99796)
  * fix crash bug (thanks to Falk Hueffner) (closes: #96997)
  * added patch from #98325, but still lots more to do on that ASAP

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  3 Jun 2001 23:04:03 +0100

html2text (1.2.3-2) unstable; urgency=low

  * add some build-depends - in any case bug doesn't exist (closes: #92376)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 10 Apr 2001 22:00:24 +0100

html2text (1.2.3-1) unstable; urgency=low

  * upstream no longer support the program, however Martin Bayer
    <mbayer@zedat.fu-berlin.de> has fixed a bug when parsing <H5> tags
    (closes: #63412)

 -- Adrian Bridgett <bridgett@debian.org>  Fri, 23 Mar 2001 21:21:05 +0000

html2text (1.2.2-1) unstable; urgency=low

  * new upstream (closes #63579)

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  9 May 2000 21:04:01 +0100

html2text (1.2.1-2) unstable; urgency=low

  * call ./configure, not configure (closes #58077)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 14 Feb 2000 17:47:27 +0000

html2text (1.2.1-1) unstable; urgency=low

  * initial release.

 -- Adrian Bridgett <bridgett@debian.org>  Mon,  3 Jan 2000 19:52:03 +0000
